Package org.apache.felix.framework.security.util

## Class BundleInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.felix.framework.security.util.BundleInputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

    public final class BundleInputStream
    extends java.io.InputStream

This class makes a given content available as a inputstream with a jar content. In other words the stream can be used as input to a JarInputStream.

### Constructor Summary

Constructors
`BundleInputStream​(org.apache.felix.framework.cache.Content root)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `read()`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleInputStream

    public BundleInputStream​(org.apache.felix.framework.cache.Content root)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`